Name:           mate-applets
Version:        1.5.1
Release:        4
Summary:        MATE Desktop panel applets
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildRequires: mate-common 
BuildRequires: mate-doc-utils 
BuildRequires: mate-icon-theme-devel
BuildRequires: mate-panel-devel
BuildRequires: mate-desktop-devel
BuildRequires: libmatewnck-devel
BuildRequires: dbus-glib-devel
BuildRequires: libxml2-devel
BuildRequires: libnm-gtk-devel
Buildrequires: upower-devel
BuildRequires: rarian-compat 
BuildRequires: rarian-devel
BuildRequires: pygtk2-devel

%description
MATE Desktop panel applets

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure                       \
    --disable-schemas-compile    \
    --disable-scrollkeeper       \
    --with-gnu-ld                \
    --with-x                     \
    --enable-polkit              \
    --enable-networkmanager      \
    --enable-ipv6                \
    --enable-frequency-selector  \
    --enable-suid                \
    --disable-cpufreq            \
    --disable-timers-applet      

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install
%find_lang %{name} --all-name
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

#make python script executable
#http://forums.fedoraforum.org/showthread.php?t=284962
chmod a+x %{buildroot}%{python_sitelib}/mate_invest/chart.py

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/mate &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &> /dev/null || :
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icon
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/mate-invest-chart
%{python_sitelib}/mate_invest
%{_libexecdir}/invest-applet
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/icons/mate/*x*/apps/*.png
%{_datadir}/mate-panel/applets/org.mate.applets.*
%{_datadir}/mate/help/mate-invest-applet
%{_datadir}/omf/mate-invest-applet
%{_datadir}/mate-applets
%{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%{_libexecdir}/accessx-status-applet
%{_libexecdir}/battstat-applet-2
%{_libexecdir}/charpick_applet2
%{_libexecdir}/drivemount_applet2
%{_libexecdir}/geyes_applet2
%{_libexecdir}/stickynotes_applet
%{_libexecdir}/trashapplet
%{_datadir}/dbus-1/services/org.mate.panel.applet.*
%{_datadir}/glib-2.0/schemas/org.mate.stickynotes.gschema.xml
%{_datadir}/mate-2.0/ui/*.xml
%{_datadir}/mate/help/mate-accessx-status
%{_datadir}/mate/help/mate-battstat
%{_datadir}/mate/help/mate-char-palette
%{_datadir}/mate/help/mate-drivemount
%{_datadir}/mate/help/mate-geyes
%{_datadir}/mate/help/mate-stickynotes_applet
%{_datadir}/mate/help/mate-trashapplet
%{_datadir}/omf/mate-accessx-status
%{_datadir}/omf/mate-battstat
%{_datadir}/omf/mate-char-palette
%{_datadir}/omf/mate-drivemount
%{_datadir}/omf/mate-geyes
%{_datadir}/omf/mate-stickynotes_applet
%{_datadir}/omf/mate-trashapplet
%{_datadir}/pixmaps/mate-accessx-status-applet
%{_datadir}/pixmaps/mate-stickynotes
%{_datadir}/MateConf/gsettings/stickynotes-applet.convert
%{_libexecdir}/mateweather-applet-2
%{_libexecdir}/multiload-applet-2
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.battstat.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.charpick.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.geyes.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.multiload.gschema.xml
%{_datadir}/mate/help/mate-multiload
%{_datadir}/mate/help/mateweather
%{_datadir}/omf/mate-multiload
%{_datadir}/omf/mateweather

%changelog
* Sun Feb 03 2013 - Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-4
- Remove unecessary BR's
- Own directories that need to be owned
- Remove scriptlet to remove libtool archives

* Sat Jan 26 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-3
- bump

* Sat Jan 26 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-2
- Add missing BR

* Fri Jan 25 2013 - Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-1
- Initial build
